import java.awt.*; //Alle Klasse des Abstrakt Window Toolkit
import java.awt.geom.*; //Alle Klassen des Geometrie-Pakets

public class KREIS {
    // Attribute
    private int radius; //Radius des Kreises
    private int xPosition; //x-Koordinate des linken oberen Punktes des Rechtecks
    private int yPosition; //y-Koordinate des linken oberen Punktes des Rechtecks
    private String color; //Fllfarbe des Rechtecks
    
    // Konstruktor
    public KREIS() {
        radius=10;
        xPosition=50;
        yPosition=50;
        color="blue";
        draw();
    }
    
    public KREIS(int newXPosition, int newYPosition, int newRadius, String newColor) {
        radius=newRadius;
        xPosition=newXPosition;
        yPosition=newYPosition;
        color=newColor;
        draw();
    }

    // Dienste
    public void draw(){ //mit private und public ausprobieren
        Canvas canvas = Canvas.getCanvas();
        canvas.draw(this, color, "Kreis", new Ellipse2D.Double(xPosition, yPosition, radius, radius));
    }

}
